Subject: [dhcwg] need sample for dhcpd config

From: Renato Lins <[email-masked]>
Date: Thu, 25 Jul 2002 11:26:28 -0400

I think this may be a very common situation but I am very new to dhcp 
server. Any help will do.

I have one network with 20 computer connect to one switch, this net has 
two independent routers with also connected to the same switch, I need 
that a group of 10 computer to get a IP class (192.168.1.x) with the 
default router to (192.168.1.1) and the other 10 get a IP class 
(192.168.2.x) with the default router to (192.168.2.1) . The computers 
are can be separated by the MAC ADDRESS.

I tought some thing like bellow, based on sample dhcpd.conf.sample, but 
was unable to find the correct sintaxe.

subnet 192.168.1.0 netmask 255.255.255.0 {

        option routers 192.168.1.1;
        option subnet-mask 255.255.255.0;

        group n1 {
                hardware ethernet 12:34:56:78:AB:CD;
                hardware ethernet 13:34:56:78:AB:CD;
                hardware ethernet 14:34:56:78:AB:CD;
                hardware ethernet 15:34:56:78:AB:CD;
                hardware ethernet 16:34:56:78:AB:CD;
                hardware ethernet 17:34:56:78:AB:CD;

        }
}

subnet 192.168.2.0 netmask 255.255.255.0 {

        option routers 192.168.2.1;
        option subnet-mask 255.255.255.0;

        group n2 {
                hardware ethernet 11:14:56:78:AB:CD;
                hardware ethernet 11:24:56:78:AB:CD;
                hardware ethernet 11:34:56:78:AB:CD;
                hardware ethernet 11:44:56:78:AB:CD;
                hardware ethernet 11:54:56:78:AB:CD;
                hardware ethernet 11:64:56:78:AB:CD;
        }
}

I am using Linux Mandrake 8.2 with dhcp-server-3.0-1rc8.1mdk

Thanks
Renato Lins

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg